> For the complete documentation index, see [llms.txt](https://docs.stackerhq.com/stacker-classic/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stackerhq.com/stacker-classic/layout-types/list-display-types/list-options/list-layout-change-layout-title.md).

# List Layout: Change layout title

You can change the title of your layout, the navigation item, and the URL of a list layout to customize your app.

* [Change the title of the layout](#h_01H6Y77X1XTK5BQYQZG0AY24A8)
* [Change the navigation item title](#h_01H6Y79T96CF2C06YQGWCM6YW0)
* [Change the URL of the list layout](#h_01H6Y77PXGV8A7G046ZZTJMZ7A)

## Change the title of the layout <a href="#h_01h6y77x1xtk5bqyqzg0ay24a8" id="h_01h6y77x1xtk5bqyqzg0ay24a8"></a>

Change the title on the layout.

1. Select **Edit Layout**
2. Click the title on the layout page
3. Type new title of layout

## Change the navigation item title <a href="#h_01h6y79t96cf2c06yqgwcm6yw0" id="h_01h6y79t96cf2c06yqgwcm6yw0"></a>

This changes the name of the page in the navigation menu. Learn more about [editing the navigation items here](/stacker-classic/layout-types/stacker-navigation.md).

1. Go to **App Settings**
2. Go to **Navigation**
3. Select the **Pencil Icon** next to the item title
4. Type new title and click **Save**

## Change the URL of the list layout <a href="#h_01h6y77pxgv8a7g046zztjmz7a" id="h_01h6y77pxgv8a7g046zztjmz7a"></a>

You can change the URL of the table for the List Layout, note this will not change the URL for the Detail layouts associated with the table.

1. Select **Edit Layout**
2. Select the three dots on the top right
3. Choose **Edit Layout Name**


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stackerhq.com/stacker-classic/layout-types/list-display-types/list-options/list-layout-change-layout-title.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
